OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepBasic

# StepBasic_OrganizationAssignment Class Reference

`#include <StepBasic_OrganizationAssignment.hxx>`

Inheritance diagram for StepBasic_OrganizationAssignment:

[legend]

## Public Member Functions
virtual Standard_EXPORT void | Init (const Handle(StepBasic_Organization)&aAssignedOrganization, const Handle(StepBasic_OrganizationRole)&aRole)
Standard_EXPORT void | SetAssignedOrganization (const Handle(StepBasic_Organization)&aAssignedOrganization)
Standard_EXPORT Handle_StepBasic_Organization | AssignedOrganization () const
Standard_EXPORT void | SetRole (const Handle(StepBasic_OrganizationRole)&aRole)
Standard_EXPORT Handle_StepBasic_OrganizationRole | Role () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepBasic_Organization | assignedOrganization
Handle_StepBasic_OrganizationRole | role

## Member Function Documentation

Standard_EXPORT Handle_StepBasic_Organization StepBasic_OrganizationAssignment::AssignedOrganization | ( |  | ) | const

Standard_EXPORT const StepBasic_OrganizationAssignment::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in StepAP214_AppliedOrganizationAssignment, and StepAP214_AutoDesignOrganizationAssignment.

virtual Standard_EXPORT void StepBasic_OrganizationAssignment::Init | ( | const Handle(StepBasic_Organization)& | aAssignedOrganization,
|  | const Handle(StepBasic_OrganizationRole)& | aRole
| ) | `[virtual]`

| Reimplemented in StepAP214_AppliedOrganizationAssignment, and StepAP214_AutoDesignOrganizationAssignment.

Standard_EXPORT Handle_StepBasic_OrganizationRole StepBasic_OrganizationAssignment::Role | ( |  | ) | const

Standard_EXPORT void StepBasic_OrganizationAssignment::SetAssignedOrganization | ( | const Handle(StepBasic_Organization)& | aAssignedOrganization | ) |

Standard_EXPORT void StepBasic_OrganizationAssignment::SetRole | ( | const Handle(StepBasic_OrganizationRole)& | aRole | ) |

## Field Documentation

Handle_StepBasic_Organization StepBasic_OrganizationAssignment::assignedOrganization`[private]`

Handle_StepBasic_OrganizationRole StepBasic_OrganizationAssignment::role`[private]`

The documentation for this class was generated from the following file:

- StepBasic_OrganizationAssignment.hxx